Bug 1025506 - [abrt] telepathy-mission-control-5.16.0-2.fc20: dbus_g_connection_register_g_object: Process /usr/libexec/mission-control-5 was killed by signal 5 (SIGTRAP)
[abrt] telepathy-mission-control-5.16.0-2.fc20: dbus_g_connection_register_g_...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: telepathy-mission-control (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:1d8e8644b784b618341ac4d8877...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-31 16:28 EDT by Niki Guldbrand
Modified: 2015-06-29 08:46 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:46:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (41.39 KB, text/plain)
2013-10-31 16:28 EDT, Niki Guldbrand
no flags Details
File: cgroup (165 bytes, text/plain)
2013-10-31 16:28 EDT, Niki Guldbrand
no flags Details
File: core_backtrace (2.01 KB, text/plain)
2013-10-31 16:28 EDT, Niki Guldbrand
no flags Details
File: dso_list (3.26 KB, text/plain)
2013-10-31 16:28 EDT, Niki Guldbrand
no flags Details
File: environ (1018 bytes, text/plain)
2013-10-31 16:29 EDT, Niki Guldbrand
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-31 16:29 EDT, Niki Guldbrand
no flags Details
File: maps (24.06 KB, text/plain)
2013-10-31 16:29 EDT, Niki Guldbrand
no flags Details
File: open_fds (653 bytes, text/plain)
2013-10-31 16:29 EDT, Niki Guldbrand
no flags Details
File: proc_pid_status (1004 bytes, text/plain)
2013-10-31 16:29 EDT, Niki Guldbrand
no flags Details

  None (edit)
Description Niki Guldbrand 2013-10-31 16:28:39 EDT
Description of problem:
Don't exactly know what happened, empathy window was minimized and online.

Version-Release number of selected component:
telepathy-mission-control-5.16.0-2.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/libexec/mission-control-5
crash_function: dbus_g_connection_register_g_object
executable:     /usr/libexec/mission-control-5
kernel:         3.11.6-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1236200002
var_log_messages: Oct 31 15:33:00 asus-0 yum[3476]: Updated: 1:telepathy-mission-control-5.16.0-2.fc20.x86_64

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 dbus_g_connection_register_g_object at dbus-gobject.c:2859
 #3 mcd_account_setup at mcd-account.c:3411
 #4 _mcd_account_constructed at mcd-account.c:3602
 #5 g_object_new_with_custom_constructor at gobject.c:1721
 #6 g_object_new_internal at gobject.c:1744
 #7 g_object_new_valist at gobject.c:2002
 #9 mcd_account_new at mcd-account.c:3737
 #10 created_cb at mcd-account-manager.c:344
 #14 g_signal_emit_by_name at gsignal.c:3426
 #15 _new_account at mcp-account-manager-goa.c:223

Potential duplicate: bug 902859
Comment 1 Niki Guldbrand 2013-10-31 16:28:48 EDT
Created attachment 818052 [details]
File: backtrace
Comment 2 Niki Guldbrand 2013-10-31 16:28:52 EDT
Created attachment 818053 [details]
File: cgroup
Comment 3 Niki Guldbrand 2013-10-31 16:28:55 EDT
Created attachment 818054 [details]
File: core_backtrace
Comment 4 Niki Guldbrand 2013-10-31 16:28:59 EDT
Created attachment 818055 [details]
File: dso_list
Comment 5 Niki Guldbrand 2013-10-31 16:29:02 EDT
Created attachment 818056 [details]
File: environ
Comment 6 Niki Guldbrand 2013-10-31 16:29:06 EDT
Created attachment 818057 [details]
File: limits
Comment 7 Niki Guldbrand 2013-10-31 16:29:10 EDT
Created attachment 818058 [details]
File: maps
Comment 8 Niki Guldbrand 2013-10-31 16:29:13 EDT
Created attachment 818059 [details]
File: open_fds
Comment 9 Niki Guldbrand 2013-10-31 16:29:16 EDT
Created attachment 818060 [details]
File: proc_pid_status
Comment 10 Niki Guldbrand 2013-10-31 17:58:01 EDT
Don't know excatly what happened, empathy is running minimized in the background, and is online

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/libexec/mission-control-5
crash_function: dbus_g_connection_register_g_object
executable:     /usr/libexec/mission-control-5
kernel:         3.11.6-300.fc20.x86_64
package:        telepathy-mission-control-5.16.0-2.fc20
reason:         Process /usr/libexec/mission-control-5 was killed by signal 5 (SIGTRAP)
runlevel:       N 5
type:           CCpp
uid:            1236200002
Comment 11 Martin Meyer 2013-12-18 10:58:49 EST
I'm having very frequent problems with this. I'm constantly getting jabber messages only to my phone because various bits of telepathy and gnome-online-accounts are crashing.

I've tried deleting all the config stuff I can think of related to empathy, goa, and telepathy, but I can't seem to get the crashing to stop. Is there anything I can do to help debug this or figure out how to reproduce it?

Related to bug 1031662, which is g-o-a crashing the next time I open the online accounts panel in gnome-control-center. It seems that this telepathy process crashing later causes g-o-a to flip out and die.
Comment 12 Fedora End Of Life 2015-05-29 05:40:06 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-06-29 08:46:48 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.